SQ-DEARMOR(1)

NAME
sq-dearmor - Converts ASCII to binary

To make encrypted data easier to handle and transport, OpenPGP data can be transformed to an ASCII representation called ASCII Armor. sq transparently handles armored data, but this subcommand can be used to explicitly convert existing ASCII-encoded OpenPGP data to its binary representation.

The converse operation is "sq armor".

SYNOPSIS
sq dearmor [FLAGS] [OPTIONS] [--] [FILE]

FLAGS

-h, --help
    Prints help information

OPTIONS

-o, --output FILE
    Writes to FILE or stdout if omitted

ARGS

FILE
    Reads from FILE or stdin if omitted

EXAMPLES

# Convert a ASCII certificate to binary
    $ sq dearmor ascii-juliet.pgp

# Convert a ASCII message to binary
    $ sq dearmor ascii-message.pgp

SEE ALSO
For the full documentation see <https://docs.sequoia-pgp.org/sq/>.

sq(1), sq-armor(1), sq-autocrypt(1), sq-certify(1), sq-dearmor(1), sq-decrypt(1), sq-encrypt(1), sq-inspect(1), sq-key(1), sq-keyring(1), sq-packet(1), sq-sign(1), sq-verify(1)

AUTHORS

    Azul <azul@sequoia-pgp.org>
    Igor Matuszewski <igor@sequoia-pgp.org>
    Justus Winter <justus@sequoia-pgp.org>
    Kai Michaelis <kai@sequoia-pgp.org>
    Neal H. Walfield <neal@sequoia-pgp.org>
    Nora Widdecke <nora@sequoia-pgp.org>
    Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>